## plasma-framework 5.28.0

=== src/plasmaquick/CMakeLists.txt ===
if(HAVE_X11 AND XCB_XCB_FOUND AND XCB_SHAPE_FOUND)
    add_definitions(-DHAVE_XCB_SHAPE=1)
else()
    add_definitions(-DHAVE_XCB_SHAPE=0)
endif()

set(plasmaquick_LIB_SRC
    appletquickitem.cpp
    dialog.cpp
    dialogshadows.cpp
    view.cpp
    containmentview.cpp
    configmodel.cpp
    shellpluginloader.cpp
    configview.cpp
    packageurlinterceptor.cpp
    private/configcategory_p.cpp
    private/packages.cpp
    ../declarativeimports/core/framesvgitem.cpp
    ../declarativeimports/core/units.cpp
)

add_library(KF5PlasmaQuick SHARED ${plasmaquick_LIB_SRC})
add_library(KF5::PlasmaQuick ALIAS KF5PlasmaQuick)
target_include_directories(KF5PlasmaQuick PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR};${CMAKE_CURRENT_BINARY_DIR}/..>")

target_link_libraries(KF5PlasmaQuick
    PUBLIC
        Qt5::Gui
        Qt5::Quick
        Qt5::Qml
        KF5::Plasma
        KF5::WindowSystem
    PRIVATE
        KF5::KIOWidgets
        KF5::I18n
        KF5::IconThemes
        KF5::Service
        KF5::CoreAddons
        KF5::XmlGui
        KF5::Declarative
        KF5::QuickAddons
)

if(HAVE_KWAYLAND)
    target_link_libraries(KF5PlasmaQuick
        PRIVATE
        KF5::WaylandClient
    )
endif()

if(HAVE_X11)
    target_link_libraries(KF5PlasmaQuick
        PRIVATE
            Qt5::X11Extras
            ${X11_LIBRARIES}
            XCB::XCB
    )

    if(XCB_SHAPE_FOUND)
        target_link_libraries(KF5PlasmaQuick PRIVATE XCB::SHAPE)
    endif()
endif()

set_target_properties(KF5PlasmaQuick PROPERTIES
                                     VERSION ${PLASMA_VERSION_STRING}
                                     SOVERSION ${PLASMA_SOVERSION}
                                     EXPORT_NAME PlasmaQuick
                      )

install(TARGETS KF5PlasmaQuick EXPORT KF5PlasmaQuickTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

generate_export_header(KF5PlasmaQuick BASE_NAME PlasmaQuick)

set(plasmaquick_LIB_INCLUDES
    ${CMAKE_CURRENT_BINARY_DIR}/plasmaquick_export.h
    packageurlinterceptor.h
)

ecm_generate_headers(PlasmaQuick_CamelCase_HEADERS
    HEADER_NAMES
        AppletQuickItem
        ContainmentView
        ConfigView
        ConfigModel
        Dialog
    REQUIRED_HEADERS plasmaquick_LIB_INCLUDES
    PREFIX PlasmaQuick
)

install(FILES ${plasmaquick_LIB_INCLUDES}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/plasmaquick COMPONENT Devel)

install(FILES ${PlasmaQuick_CamelCase_HEADERS}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/PlasmaQuick COMPONENT Devel)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5PlasmaQuick")

ecm_configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5PlasmaQuickConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5PlasmaQuickConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    PATH_VARS  KF5_INCLUDE_INSTALL_DIR CMAKE_INSTALL_PREFIX
)

ecm_setup_version(${KF5_VERSION}
                  VARIABLE_PREFIX PLASMAQUICK
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5PlasmaQuickConfigVersion.cmake" )

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5PlasmaQuickConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5PlasmaQuickConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}" COMPONENT Devel
)

install(EXPORT KF5PlasmaQuickTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5PlasmaQuickTargets.cmake NAMESPACE KF5:: )

=== debian/changelog ===
plasma-framework (5.28.0-2) unstable; urgency=medium

  * Change plasma-framework-dev to arch: any.
    Thanks to Helmut Grohne for reporting (Closes: 854063)
  * Pick "Fix logic for arrow handling in RTL locales" (db15022)
    Add the upstream patch as:
     Fix-logic-for-arrow-handling-in-RTL-locales.patch
    This fixes KDE#373749
  * Pick "Emit toolTipMainTextChanged if it changes in response to a title change" (17f5a30)
    The fallback for toolTipMainText is showing the applet title.
    When the applet title changes, it may result in a change of
    toolTipMainText.
    Add the upstream patch as:
     Emit-toolTipMainTextChanged-if-it-changes-in-response-to-.patch
  * Pick "consider an empty panel always "applets loaded"" (6ae3a07)
    This fixes panels sometimes not showing up when reconnecting screens.
    Add upstream patch as:
     consider-an-empty-panel-always-applets-loaded.patch
    Related to KDE#373836
  * Pick "Fix #374127 misplacement of popups from dock wins" (6aedda9)
    Fix for "If a Dock window uses a mask then the popups occured from it
    are placed far from the item that triggered them."
    Add upstream patch as:
     Fix-374127-misplacement-of-popups-from-dock-wins.patch
    This fixes KDE#374127
  * Pick "portait prop is not relevant when there is no text" (12a4709)
    This fixes a binding loop on this property when there is no label.
    Add upstream patch as:
     portait-prop-is-not-relevant-when-there-is-no-text.patch
    This fixes KDE#374815
  * Pick "correctly forward status from applets to containment" (47ec9b8)
    Add upstream patch as:
     correctly-forward-status-from-applets-to-containment.patch
    This fixes KDE#372062
  * Pick "it must also be possible for the status to be decreased again" (46c87d5)
    This fixes the autohide panel being broken the first time an applet like
    kickoff opens. when it closes again, the status has to be decreased
    again.
    Add upstream patch as:
     it-must-also-be-possible-for-the-status-to-be-decreased-a.patch
  * Pick "set default hints when repr doesn't export Layout.*" (b99a87a)
    Add upstream patch as:
     set-default-hints-when-repr-doesn-t-export-Layout.patch
    This fixes KDE#377153
  * Add "Ref/deref DataEngines even if the metadata is invalid" (586ed85)
    Just because the metadata is invalid doesn't mean the DataEngine
    actually failed to load, we're still returning a valid object, and as
    seen with the MPris DataEngine bug. It's important that we still release
    it properly.
    Add upstream patch as:
     Ref-deref-DataEngines-even-if-the-metadata-is-invalid.patch
    This is related to KDE#374531

 -- Maximiliano Curia <maxy@debian.org>  Sat, 08 Apr 2017 17:14:51 +0200

plasma-framework (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files from buildds logs (5.27.0-1).
  * Update symbols files

  [ Maximiliano Curia ]
  * New upstream release (5.28)
  * Bump group breaks (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:07:29 +0100

plasma-framework (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.27)
  * Bump group breaks (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 17:09:11 +0200

plasma-framework (5.26.0-2) unstable; urgency=medium

  * Add plasma-framework dependency on the -dev package

 -- Maximiliano Curia <maxy@debian.org>  Thu, 06 Oct 2016 14:19:56 +0200

plasma-framework (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files with the buildds logs.

  [ Maximiliano Curia ]
  * Bump group breaks (5.26)
  * Replace dbus-launch with dbus-run-session in tests

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 12:03:19 +0200

plasma-framework (5.25.0-1) unstable; urgency=medium

  [ Harald Sitter ]
  * Rename -dev package to align with the cmake package name for
    greater discoverability and consistency across frameworks.
    Add a transitional package to help with the name transition.
  * install new files

  [ Automatic packaging ]
  * Update symbols file
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Install localized manpages.
  * Bump group breaks (5.25)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 20 Aug 2016 16:50:53 +0200

plasma-framework (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files with the buildds results

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Jun 2016 16:30:38 +0200

plasma-framework (5.22.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Bump kapptemplate breaks/replaces, the conflicting file is going to be
    removed from kapptemplate in the next upload. (Closes: #816528) Thanks to
    Andreas Beckmann for the report.
  * Update install files
  * Update testsuite scripts
  * Update copyright information
  * Update acc test script
  * testsuite: Missing XDG_DATA_DIRS, use breeze by default
  * Add new patch: upstream_fix_iconitem_test.patch
  * testsuite: add hicolor icon theme as a dependency
  * uscan no longer supports more than one main upstream tarball being listed

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 3.9.8
  * Update symbols files (private class was wrongly exported)
  * Update symbols files
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Fri, 27 May 2016 15:28:35 +0200

=== debian/control ===
Source: plasma-framework
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.28.0~),
               kdoctools-dev (>= 5.25.0~),
               kio-dev (>= 5.26.0~),
               libegl1-mesa-dev,
               libkf5activities-dev (>= 5.28.0~),
               libkf5archive-dev (>= 5.28.0~),
               libkf5codecs-dev (>= 5.7.0),
               libkf5config-dev (>= 5.28.0~),
               libkf5configwidgets-dev (>= 5.28.0~),
               libkf5coreaddons-dev (>= 5.28.0~),
               libkf5dbusaddons-dev (>= 5.28.0~),
               libkf5declarative-dev (>= 5.28.0~),
               libkf5globalaccel-dev (>= 5.28.0~),
               libkf5guiaddons-dev (>= 5.28.0~),
               libkf5i18n-dev (>= 5.28.0~),
               libkf5iconthemes-dev (>= 5.28.0~),
               libkf5idletime-dev (>= 5.7.0),
               libkf5itemmodels-dev (>= 5.7.0),
               libkf5kio-dev (>= 5.28.0~),
               libkf5notifications-dev (>= 5.28.0~),
               libkf5package-dev (>= 5.28.0~),
               libkf5parts-dev (>= 5.28.0~),
               libkf5service-dev (>= 5.28.0~),
               libkf5solid-dev (>= 5.7.0),
               libkf5su-dev (>= 5.7.0),
               libkf5threadweaver-dev (>= 5.7.0),
               libkf5widgetsaddons-dev (>= 5.28.0~),
               libkf5windowsystem-dev (>= 5.28.0~),
               libkf5xmlgui-dev (>= 5.28.0~),
               libqt5svg5-dev (>= 5.4),
               libqt5x11extras5-dev (>= 5.4),
               libsm-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-shape0-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4),
               qtscript5-dev (>= 5.4),
               qttools5-dev (>= 5.4),
               xauth,
               xvfb
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/plasma-framework
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/plasma-framework.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/plasma-framework.git

Package: libkf5plasma-dev
Architecture: any
Section: libdevel
Depends: libkf5package-dev (>= 5.28.0~),
         libkf5plasma5 (= ${binary:Version}),
         libkf5plasmaquick5 (= ${binary:Version}),
         libkf5service-dev (>= 5.28.0~),
         plasma-framework (= ${binary:Version}),
         ${misc:Depends}
Replaces: kapptemplate (<< 4:15.12.2-1~),
          plasma-framework (<= 5.9.0+git20150516.1328+15.04-0),
          plasma-framework-dev (<< 5.23.0-2~)
Breaks: kapptemplate (<< 4:15.12.2-1~),
        plasma-framework (<= 5.9.0+git20150516.1328+15.04-0),
        plasma-framework-dev (<< 5.23.0-2~)
Description: development files for plasma-framework
 Plasma library and runtime components based upon KF5 and Qt 5.
 .
 Contains development files for plasma-framework.

Package: plasma-framework-dev
Depends: libkf5plasma-dev, ${misc:Depends}
Architecture: any
Priority: extra
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.
Breaks: libkf5runner-dev (<< 5.28)

Package: plasma-framework
Architecture: any
Depends: qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtquick-controls,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: plasma-widgets-addons (<= 4:5.5~)
Replaces: plasma-widgets-addons (<= 4:5.5~)
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

Package: libkf5plasmaquick5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

Package: libkf5plasma5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt5.
Breaks: libkf5runner5 (<< 5.28)

=== debian/tests/control ===
Tests: testsuite
Depends: @, debhelper, cmake, xvfb, xauth, dbus (>= 1.8), libqt5sql5-sqlite,
         libkf5globalaccel-bin, libkf5service-bin, breeze-icon-theme,
         qml-module-qtquick2, hicolor-icon-theme
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

## plasma-framework 5.31.0

=== debian/changelog ===
plasma-framework (5.31.0-0ubuntu1) zesty; urgency=low

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.31.0)

  [ Rik Mills ]
  * Update symbols from build logs.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:52:56 +0000

plasma-framework (5.30.0-0ubuntu2) zesty; urgency=medium

  * Pass '-fno-keep-inline-functions' to gcc in the acc test, in order
    to fix spurious autopkgtests failures.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 07 Feb 2017 18:46:27 +0000

plasma-framework (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)
  * Add new required dependency 'qml-module-org-kde-kconfig' for plasma-
    framework. Required now for a working plasma kicker/runner and
    breeze sddm greeter.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:36:49 +0000

plasma-framework (5.28.0-0ubuntu1) zesty; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.27.0)
  * Drop old kdoctools-dev build dep which is now replaced by
    libkf5doctools-dev

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * Merge with debian, importing the plasma-framework-dev -> libkf5plasma-dev
    renaming, add Breaks/Replaces against plasma-framework-dev older versions
    in libkf5plasma-dev.
  * New upstream release (5.28.0)
  * Update symbols files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:19:14 +0000

=== debian/control ===
Source: plasma-framework
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kwayland-dev (>= 4:5.31.0~),
               libegl1-mesa-dev,
               libkf5activities-dev (>= 5.31.0~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5globalaccel-dev (>= 5.31.0~),
               libkf5guiaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5idletime-dev (>= 5.31.0~),
               libkf5itemmodels-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5package-dev (>= 5.31.0~),
               libkf5parts-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5solid-dev (>= 5.31.0~),
               libkf5su-dev (>= 5.31.0~),
               libkf5threadweaver-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libqt5svg5-dev (>= 5.6.1~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libsm-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-shape0-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qtscript5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               xauth,
               xvfb
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/plasma-framework
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-framework
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-framework

Package: libkf5plasma-dev
Architecture: any
Section: libdevel
Depends: libkf5package-dev (>= 5.31.0~),
         libkf5plasma5 (= ${binary:Version}),
         libkf5plasmaquick5 (= ${binary:Version}),
         libkf5service-dev (>= 5.31.0~),
         plasma-framework (= ${binary:Version}),
         ${misc:Depends}
Breaks: kapptemplate (<< 4:15.12.2-1~),
        plasma-framework (<= 5.9.0+git20150516.1328+15.04-0),
        plasma-framework-dev (<< 5.27.0-1ubuntu1~)
Replaces: kapptemplate (<< 4:15.12.2-1~),
          plasma-framework (<= 5.9.0+git20150516.1328+15.04-0),
          plasma-framework-dev (<< 5.27.0-1ubuntu1~)
Description: development files for plasma-framework
 Plasma library and runtime components based upon KF5 and Qt 5.
 .
 Contains development files for plasma-framework.

Package: plasma-framework-dev
Architecture: all
Section: oldlibs
Priority: extra
Depends: libkf5plasma-dev (>= 5.31.0~), ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: plasma-framework
Architecture: any
Depends: qml-module-org-kde-kconfig,
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtquick-controls,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: plasma-widgets-addons (<= 4:5.5~)
Replaces: plasma-widgets-addons (<= 4:5.5~)
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

Package: libkf5plasmaquick5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

Package: libkf5plasma5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt5.

## plasma-framework 5.37.0

=== debian/changelog ===
plasma-framework (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:59:08 +0200

plasma-framework (5.37.0-1) experimental; urgency=medium

  * New upstream release (5.37.0).
    + Fix build with cmake 3.8 (3ce913b3f997e61358c7384987424225f03964d3)
      (Closes: #871129) Thanks to Lucas Nussbaum for the report
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.37)
  * Add a libkf5plasma-doc package for the qch files
  * Bump Standards-Version to 4.0.1.
  * Set Priority to optional
  * Set section for the doc package
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:44:00 +0200

plasma-framework (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
    + Support non-square icons (Closes: 863417)
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.35)
  * Drop upstream patches
  * Update symbols files.
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Bump group breaks (5.36)
  * Update build-deps and deps with the info from cmake
  * Update symbols files

  [ Raymond Wooninck ]
  * also include signing-key
  * Add signing key

  [ Jonathan Riddell ]
  * update .install
  * new dep on qml-module-org-kde-kconfig
  * install qml-module-qtquick-templates2
  * more qml deps
  * ECMConfig.cmake

  [ Harald Sitter ]
  * start openbox for dialogstatetest

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:42:48 +0200

=== debian/control ===
Source: plasma-framework
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 9),
               doxygen,
               extra-cmake-modules (>= 5.37.0~),
               graphviz,
               kdoctools-dev (>= 5.25.0~),
               kio-dev (>= 5.26.0~),
               libegl1-mesa-dev,
               libkf5activities-dev (>= 5.37.0~),
               libkf5archive-dev (>= 5.37.0~),
               libkf5codecs-dev (>= 5.7.0),
               libkf5config-dev (>= 5.37.0~),
               libkf5configwidgets-dev (>= 5.37.0~),
               libkf5coreaddons-dev (>= 5.37.0~),
               libkf5dbusaddons-dev (>= 5.37.0~),
               libkf5declarative-dev (>= 5.37.0~),
               libkf5globalaccel-dev (>= 5.37.0~),
               libkf5guiaddons-dev (>= 5.37.0~),
               libkf5i18n-dev (>= 5.37.0~),
               libkf5iconthemes-dev (>= 5.37.0~),
               libkf5idletime-dev (>= 5.7.0),
               libkf5itemmodels-dev (>= 5.7.0),
               libkf5kio-dev (>= 5.37.0~),
               libkf5notifications-dev (>= 5.37.0~),
               libkf5package-dev (>= 5.37.0~),
               libkf5parts-dev (>= 5.37.0~),
               libkf5service-dev (>= 5.37.0~),
               libkf5solid-dev (>= 5.7.0),
               libkf5su-dev (>= 5.7.0),
               libkf5threadweaver-dev (>= 5.7.0),
               libkf5widgetsaddons-dev (>= 5.37.0~),
               libkf5windowsystem-dev (>= 5.37.0~),
               libkf5xmlgui-dev (>= 5.37.0~),
               libqt5sql5-sqlite,
               libqt5svg5-dev (>= 5.7.0~),
               libqt5x11extras5-dev (>= 5.4),
               libsm-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-shape0-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.7.0~),
               qtdeclarative5-dev (>= 5.7.0~),
               qtscript5-dev (>= 5.4),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb,
Standards-Version: 4.1.0
Homepage: https://projects.kde.org/projects/frameworks/plasma-framework
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/plasma-framework.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/plasma-framework.git

Package: libkf5plasma-dev
Architecture: any
Section: libdevel
Depends: extra-cmake-modules (>= 5.37.0~),
         libkf5package-dev (>= 5.37.0~),
         libkf5plasma5 (= ${binary:Version}),
         libkf5plasmaquick5 (= ${binary:Version}),
         libkf5service-dev (>= 5.37.0~),
         plasma-framework (= ${binary:Version}),
         ${misc:Depends},
Replaces: kapptemplate (<< 4:15.12.2-1~),
          plasma-framework (<= 5.9.0+git20150516.1328+15.04-0),
          plasma-framework-dev (<< 5.23.0-2~),
Breaks: kapptemplate (<< 4:15.12.2-1~),
        plasma-framework (<= 5.9.0+git20150516.1328+15.04-0),
        plasma-framework-dev (<< 5.23.0-2~),
Recommends: libkf5plasma-doc (= ${source:Version})
Description: development files for plasma-framework
 Plasma library and runtime components based upon KF5 and Qt 5.
 .
 Contains development files for plasma-framework.

Package: libkf5plasma-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Plasma Runtime components (documentation)
 Plasma library and runtime components based upon KF5 and Qt5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5plasma5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt5.
Breaks: libkf5runner5 (<< 5.37)

Package: libkf5plasmaquick5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

Package: plasma-framework
Architecture: any
Depends: qml-module-org-kde-kconfig,
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-templates2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-widgets-addons (<= 4:5.5~),
        qml-module-org-kde-kirigami2 (<< 5.37),
Replaces: plasma-widgets-addons (<= 4:5.5~)
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

Package: plasma-framework-dev
Depends: libkf5plasma-dev, ${misc:Depends}
Architecture: any
Priority: optional
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.
Breaks: libkf5runner-dev (<< 5.37)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DBUILD_QCH=ON

override_dh_strip:
	$(overridden_command) --dbgsym-migration='plasma-framework-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, debhelper, cmake, xvfb, xauth, dbus (>= 1.8), libqt5sql5-sqlite,
         libkf5globalaccel-bin, libkf5service-bin, breeze-icon-theme,
         qml-module-qtquick2, hicolor-icon-theme,
         openbox
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

## plasma-framework 5.38.0

=== debian/changelog ===
plasma-framework (5.38.0-0ubuntu1) artful; urgency=medium

  * New upstream release (5.38.0)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:18:20 +0100

plasma-framework (5.37.0-0ubuntu1) artful; urgency=medium

  * Drop now included upstream_fix_notifications_on_x.patch
  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:50:15 +0100

plasma-framework (5.36.0-0ubuntu3) artful; urgency=medium

  * Ignore tests on armhf until Qt 5.9 transition is complete

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 09:04:39 +0100

plasma-framework (5.36.0-0ubuntu2) artful; urgency=medium

  * debian/patches: apply upstream_fix_notifications_on_x.patch; fixes
    occasional misplaced desktop notifications in X. KDE BUG: 381130

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 21 Jul 2017 17:17:54 +0100

plasma-framework (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:54:43 +0100

plasma-framework (5.35.0a-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 23:00:19 +0100

plasma-framework (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:28:12 +0100

plasma-framework (5.33.0-0ubuntu2) artful; urgency=medium

  * debian/patches: upstream_fix_icon_sizing.patch; cherry pick icon sizing
    fix from frameworks 5.34
  * debian/patches upstream_fix_build_with_cmake_3.8.patch; needed as artful
    now has cmake 3.8. Can be dropped in frameworks 5.34.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 14 May 2017 09:17:29 +0100

plasma-framework (5.33.0-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Update installed qml files and dependencies

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.33.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:08:06 +0100

=== debian/control ===
Source: plasma-framework
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.38.0~),
               kwayland-dev (>= 4:5.38.0~),
               libegl1-mesa-dev,
               libkf5activities-dev (>= 5.38.0~),
               libkf5archive-dev (>= 5.38.0~),
               libkf5codecs-dev (>= 5.38.0~),
               libkf5config-dev (>= 5.38.0~),
               libkf5configwidgets-dev (>= 5.38.0~),
               libkf5coreaddons-dev (>= 5.38.0~),
               libkf5dbusaddons-dev (>= 5.38.0~),
               libkf5declarative-dev (>= 5.38.0~),
               libkf5doctools-dev (>= 5.38.0~),
               libkf5globalaccel-dev (>= 5.38.0~),
               libkf5guiaddons-dev (>= 5.38.0~),
               libkf5i18n-dev (>= 5.38.0~),
               libkf5iconthemes-dev (>= 5.38.0~),
               libkf5idletime-dev (>= 5.38.0~),
               libkf5itemmodels-dev (>= 5.38.0~),
               libkf5kio-dev (>= 5.38.0~),
               libkf5notifications-dev (>= 5.38.0~),
               libkf5package-dev (>= 5.38.0~),
               libkf5parts-dev (>= 5.38.0~),
               libkf5service-dev (>= 5.38.0~),
               libkf5solid-dev (>= 5.38.0~),
               libkf5su-dev (>= 5.38.0~),
               libkf5threadweaver-dev (>= 5.38.0~),
               libkf5widgetsaddons-dev (>= 5.38.0~),
               libkf5windowsystem-dev (>= 5.38.0~),
               libkf5xmlgui-dev (>= 5.38.0~),
               libqt5svg5-dev (>= 5.6.1~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libsm-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-shape0-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qtscript5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               xauth,
               xvfb
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/plasma-framework
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-framework
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-framework

Package: libkf5plasma-dev
Architecture: any
Section: libdevel
Depends: libkf5package-dev (>= 5.38.0~),
         libkf5plasma5 (= ${binary:Version}),
         libkf5plasmaquick5 (= ${binary:Version}),
         libkf5service-dev (>= 5.38.0~),
         plasma-framework (= ${binary:Version}),
         ${misc:Depends}
Breaks: kapptemplate (<< 4:15.12.2-1~),
        plasma-framework (<= 5.9.0+git20150516.1328+15.04-0),
        plasma-framework-dev (<< 5.27.0-1ubuntu1~)
Replaces: kapptemplate (<< 4:15.12.2-1~),
          plasma-framework (<= 5.9.0+git20150516.1328+15.04-0),
          plasma-framework-dev (<< 5.27.0-1ubuntu1~)
Description: development files for plasma-framework
 Plasma library and runtime components based upon KF5 and Qt 5.
 .
 Contains development files for plasma-framework.

Package: plasma-framework-dev
Architecture: all
Section: oldlibs
Priority: extra
Depends: libkf5plasma-dev (>= 5.38.0~), ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: plasma-framework
Architecture: any
Depends: qml-module-org-kde-kconfig,
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-templates2,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: plasma-widgets-addons (<= 4:5.5~)
Replaces: plasma-widgets-addons (<= 4:5.5~)
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

Package: libkf5plasmaquick5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

Package: libkf5plasma5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt5.

## plasma-framework 5.42.0

=== debian/changelog ===
plasma-framework (5.42.0-3) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Use the salsa canonical urls

  [ Pino Toscano ]
  * Limit the libkf5wayland-dev build dependency as linux-any, as it is
    available only on Linux architectures.
  * Remove extra trailing whitespaces in changelog.
  * Remove duplicated/extra Priority field for plasma-framework-dev.
  * Use https for Format in copyright.

 -- Pino Toscano <pino@debian.org>  Wed, 21 Feb 2018 23:20:57 +0100

plasma-framework (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:29:23 +0100

plasma-framework (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * Update install files
  * Add missing breaks replaces for qml-module-org-kde-kirigami2
  * Bump group breaks (5.42)
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:06:13 +0100

plasma-framework (5.41.0-1) experimental; urgency=medium

  * New upstream release (5.38.0). (Closes: 875971)
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.41.0).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Add missing libkf5wayland-dev build dependency and bump doctools
  * Update symbols files
  * Update symbols files
  * Add missing runtime dependency libkf5windowsystem-dev.
    Thanks to Adrian Bunk for reporting (Closes: 877187)
  * Bump group breaks (5.41)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:43:22 -0300

=== debian/control ===
Source: plasma-framework
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.42.0~),
               graphviz,
               kirigami2-dev (>= 5.42.0~),
               libegl1-mesa-dev,
               libkf5activities-dev (>= 5.42.0~),
               libkf5archive-dev (>= 5.42.0~),
               libkf5codecs-dev (>= 5.7.0),
               libkf5config-dev (>= 5.42.0~),
               libkf5configwidgets-dev (>= 5.42.0~),
               libkf5coreaddons-dev (>= 5.42.0~),
               libkf5dbusaddons-dev (>= 5.42.0~),
               libkf5declarative-dev (>= 5.42.0~),
               libkf5doctools-dev (>= 5.42.0~),
               libkf5globalaccel-dev (>= 5.42.0~),
               libkf5guiaddons-dev (>= 5.42.0~),
               libkf5i18n-dev (>= 5.42.0~),
               libkf5iconthemes-dev (>= 5.42.0~),
               libkf5idletime-dev (>= 5.7.0),
               libkf5itemmodels-dev (>= 5.7.0),
               libkf5kio-dev (>= 5.42.0~),
               libkf5notifications-dev (>= 5.42.0~),
               libkf5package-dev (>= 5.42.0~),
               libkf5parts-dev (>= 5.42.0~),
               libkf5service-dev (>= 5.42.0~),
               libkf5solid-dev (>= 5.7.0),
               libkf5su-dev (>= 5.7.0),
               libkf5threadweaver-dev (>= 5.7.0),
               libkf5wayland-dev (>= 4:5.42.0~) [linux-any],
               libkf5widgetsaddons-dev (>= 5.42.0~),
               libkf5windowsystem-dev (>= 5.42.0~),
               libkf5xmlgui-dev (>= 5.42.0~),
               libqt5sql5-sqlite,
               libqt5svg5-dev (>= 5.7.0~),
               libqt5x11extras5-dev (>= 5.4),
               libsm-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-shape0-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.7.0~),
               qtdeclarative5-dev (>= 5.7.0~),
               qtscript5-dev (>= 5.4),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb,
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/frameworks/plasma-framework
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-framework
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-framework.git

Package: libkf5plasma-dev
Architecture: any
Section: libdevel
Depends: extra-cmake-modules (>= 5.42.0~),
         libkf5package-dev (>= 5.42.0~),
         libkf5plasma5 (= ${binary:Version}),
         libkf5plasmaquick5 (= ${binary:Version}),
         libkf5service-dev (>= 5.42.0~),
         libkf5windowsystem-dev (>= 5.42.0~),
         plasma-framework (= ${binary:Version}),
         ${misc:Depends},
Replaces: kapptemplate (<< 4:15.12.2-1~),
          plasma-framework (<= 5.9.0+git20150516.1328+15.04-0),
          plasma-framework-dev (<< 5.23.0-2~),
Breaks: kapptemplate (<< 4:15.12.2-1~),
        libkf5runner-dev (<< 5.42),
        plasma-framework (<= 5.9.0+git20150516.1328+15.04-0),
        plasma-framework-dev (<< 5.23.0-2~),
Recommends: libkf5plasma-doc (= ${source:Version})
Description: development files for plasma-framework
 Plasma library and runtime components based upon KF5 and Qt 5.
 .
 Contains development files for plasma-framework.

Package: libkf5plasma-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Plasma Runtime components (documentation)
 Plasma library and runtime components based upon KF5 and Qt5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5plasma5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt5.
Breaks: libkf5runner5 (<< 5.42), qml-module-org-kde-runnermodel (<< 5.42)

Package: libkf5plasmaquick5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

Package: plasma-framework
Architecture: any
Depends: qml-module-org-kde-kconfig,
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-templates2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-widgets-addons (<= 4:5.5~),
        qml-module-org-kde-kirigami2 (<< 5.42),
Replaces: plasma-widgets-addons (<= 4:5.5~),
          qml-module-org-kde-kirigami2 (<< 5.42~),
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

Package: plasma-framework-dev
Depends: libkf5plasma-dev, ${misc:Depends}
Architecture: any
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.
Breaks: libkf5runner-dev (<< 5.42)
